This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

List Parameter Groups

1 - 1.2

get /v1/parameter-groups

Description

List Parameter Groups.

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querymajor_version
optional
Software major version
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKParameterGroupListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/parameter-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = eventstreams 1.2"

Example HTTP response

Response 200

{
    "contents": [
        {
            "id": "",
            "major_version": "",
            "name": "",
            "product_image_type": "",
            "product_type": ""
        }
    ],
    "sort": [
        ""
    ]
}

2 - 1.1

get /v1/parameter-groups

Description

List Parameter Groups.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261031

Parameters

TypeNameDescriptionSchemaDefault
querymajor_version
optional
Software major version
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKParameterGroupListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/parameter-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = eventstreams 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "id": "",
            "major_version": "",
            "name": "",
            "product_image_type": "",
            "product_type": ""
        }
    ],
    "sort": [
        ""
    ]
}

3 - 1.0

get /v1/parameter-groups

Description

List Parameter Groups.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260531

Parameters

TypeNameDescriptionSchemaDefault
querymajor_version
optional
Software major version
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKParameterGroupListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/parameter-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = eventstreams 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "id": "",
            "major_version": "",
            "name": "",
            "product_image_type": "",
            "product_type": ""
        }
    ],
    "sort": [
        ""
    ]
}